typetrie.h File Reference

A supporting data structure for tree traversal enumeration methods. More...

`#include "regina-core.h"`
`#include <cstring>`

## Classes

class | regina::TypeTrie< nTypes >
| A trie that stores a set of type vectors of a fixed length. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

template<int nTypes>
using | regina::NTypeTrie = TypeTrie< nTypes >
| Deprecated typedef for backward compatibility. More...

## Detailed Description

A supporting data structure for tree traversal enumeration methods.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).